My Project: dgFastRayTest Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgFastRayTest Class Reference

`#include <dgIntersections.h>`

Inheritance diagram for dgFastRayTest:

## Public Member Functions

DG_INLINE | dgFastRayTest (const dgVector &l0, const dgVector &l1)
dgFloat32 | PolygonIntersect (const dgVector &normal, dgFloat32 maxT, const dgFloat32 *const polygon, dgInt32 strideInBytes, const dgInt32 *const indexArray, dgInt32 indexCount) const
dgFloat32 | PolygonIntersectFallback (const dgVector &normal, dgFloat32 maxT, const dgFloat32 *const polygon, dgInt32 strideInBytes, const dgInt32 *const indexArray, dgInt32 indexCount) const
DG_INLINE dgInt32 | BoxTest (const dgVector &minBox, const dgVector &maxBox) const
DG_INLINE dgFloat32 | BoxIntersect (const dgVector &minBox, const dgVector &maxBox) const

## Public Attributes

dgVector | m_p0
dgVector | m_p1
dgVector | m_diff
dgVector | m_dpInv
dgVector | m_dpBaseInv
dgVector | m_minT
dgVector | m_maxT
dgVector | m_zero
dgVector | m_isParallel
dgFloat32 | m_dirError
dgFloat32 | m_magRayTest

## Constructor & Destructor Documentation

## § dgFastRayTest()

DG_INLINE dgFastRayTest::dgFastRayTest | ( | const dgVector & | l0,
|  | const dgVector & | l1
| ) |  |

inline

## Member Function Documentation

## § BoxIntersect()

DG_INLINE dgFloat32 dgFastRayTest::BoxIntersect | ( | const dgVector & | minBox,
|  | const dgVector & | maxBox
| ) |  | const

inline

## § BoxTest()

DG_INLINE dgInt32 dgFastRayTest::BoxTest | ( | const dgVector & | minBox,
|  | const dgVector & | maxBox
| ) |  | const

inline

## § PolygonIntersect()

dgFloat32 dgFastRayTest::PolygonIntersect | ( | const dgVector & | normal,
|  | dgFloat32 | maxT,
|  | const dgFloat32 *const | polygon,
|  | dgInt32 | strideInBytes,
|  | const dgInt32 *const | indexArray,
|  | dgInt32 | indexCount
| ) |  | const

## § PolygonIntersectFallback()

dgFloat32 dgFastRayTest::PolygonIntersectFallback | ( | const dgVector & | normal,
|  | dgFloat32 | maxT,
|  | const dgFloat32 *const | polygon,
|  | dgInt32 | strideInBytes,
|  | const dgInt32 *const | indexArray,
|  | dgInt32 | indexCount
| ) |  | const

## Member Data Documentation

## § m_diff

dgVector dgFastRayTest::m_diff

## § m_dirError

dgFloat32 dgFastRayTest::m_dirError

## § m_dpBaseInv

dgVector dgFastRayTest::m_dpBaseInv

## § m_dpInv

dgVector dgFastRayTest::m_dpInv

## § m_isParallel

dgVector dgFastRayTest::m_isParallel

## § m_magRayTest

dgFloat32 dgFastRayTest::m_magRayTest

## § m_maxT

dgVector dgFastRayTest::m_maxT

## § m_minT

dgVector dgFastRayTest::m_minT

## § m_p0

dgVector dgFastRayTest::m_p0

## § m_p1

dgVector dgFastRayTest::m_p1

## § m_zero

dgVector dgFastRayTest::m_zero

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgIntersections.h
- dynamics.mod/NewtonDynamics/source/core/dgIntersections.cpp